## pcs 0.9.149

=== Makefile ===
# Compatibility with GNU/Linux [i.e. Debian] based distros
UNAME_OS_GNU := $(shell if uname -o | grep -q "GNU/Linux" ; then echo true; else echo false; fi)
DISTRO_DEBIAN := $(shell if [ -e /etc/debian_version ] ; then echo true; else echo false; fi)
IS_DEBIAN=false
DISTRO_DEBIAN_VER_8=false

ifeq ($(UNAME_OS_GNU),true)
  ifeq ($(DISTRO_DEBIAN),true)
    IS_DEBIAN=true
    DISTRO_DEBIAN_VER_8 := $(shell if grep -q -i "^8\|jessie" /etc/debian_version ; then echo true; else echo false; fi)
    # dpkg-architecture is in the optional dpkg-dev package, unfortunately.
    #DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
    # TODO: Use lsb_architecture to get the multiarch tuple if/when it becomes available in distributions.
    DEB_HOST_MULTIARCH := $(shell dpkg -L libc6 | sed -nr 's|^/etc/ld\.so\.conf\.d/(.*)\.conf$$|\1|p')
  endif
endif

ifndef PYTHON_SITELIB
  PYTHON_SITELIB=$(shell python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
endif
ifeq ($(PYTHON_SITELIB), /usr/lib/python2.6/dist-packages)
  EXTRA_SETUP_OPTS="--install-layout=deb"
endif
ifeq ($(PYTHON_SITELIB), /usr/lib/python2.7/dist-packages)
  EXTRA_SETUP_OPTS="--install-layout=deb"
endif

# Check for systemd presence, add compatibility with Debian based distros
IS_SYSTEMCTL=false

ifeq ($(IS_DEBIAN),true)
  IS_SYSTEMCTL = $(shell if [ -d /var/run/systemd/system ] ; then echo true ; else echo false; fi)
  ifeq ($(IS_SYSTEMCTL),false)
    ifeq ($(SYSTEMCTL_OVERRIDE),true)
      IS_SYSTEMCTL=true
    endif
  endif
else
  ifeq ("$(wildcard /usr/bin/systemctl)","/usr/bin/systemctl")
    IS_SYSTEMCTL=true
  else
    ifeq ("$(wildcard /bin/systemctl)","/usr/bin/systemctl")
      IS_SYSTEMCTL=true
    endif
  endif
endif

# Check for an override for building gems
ifndef BUILD_GEMS
  BUILD_GEMS=true
endif

MANDIR=/usr/share/man

ifndef PREFIX
  PREFIX=$(shell prefix=`python -c "import sys; print(sys.prefix)"` || prefix="/usr"; echo $$prefix)
endif

ifndef systemddir
  systemddir=/usr/lib/systemd
endif

ifndef initdir
  initdir=/etc/init.d
endif

ifndef install_settings
  ifeq ($(IS_DEBIAN),true)
    install_settings=true
  else
    install_settings=false
  endif
endif

install: bash_completion
	python setup.py install --prefix ${DESTDIR}${PREFIX} ${EXTRA_SETUP_OPTS}
	mkdir -p ${DESTDIR}${PREFIX}/sbin/
	chmod 755 ${DESTDIR}${PYTHON_SITELIB}/pcs/pcs.py
	ln -fs ${PYTHON_SITELIB}/pcs/pcs.py ${DESTDIR}${PREFIX}/sbin/pcs
	install -D pcs/bash_completion.d.pcs ${DESTDIR}/etc/bash_completion.d/pcs
	install -m644 -D pcs/pcs.8 ${DESTDIR}/${MANDIR}/man8/pcs.8
ifeq ($(IS_DEBIAN),true)
  ifeq ($(install_settings),true)
	rm -f  ${DESTDIR}${PYTHON_SITELIB}/pcs/settings.py
	tmp_settings=`mktemp`; \
	        sed s/DEB_HOST_MULTIARCH/${DEB_HOST_MULTIARCH}/g pcs/settings.py.debian > $$tmp_settings; \
	        install -m644 $$tmp_settings ${DESTDIR}${PYTHON_SITELIB}/pcs/settings.py; \
	        rm -f $$tmp_settings
	python -m compileall -fl ${DESTDIR}${PYTHON_SITELIB}/pcs/settings.py
  endif
endif

install_pcsd:
ifeq ($(BUILD_GEMS),true)
	make -C pcsd build_gems
endif
	mkdir -p ${DESTDIR}/var/log/pcsd
ifeq ($(IS_DEBIAN),true)
	mkdir -p ${DESTDIR}/usr/share/
	cp -r pcsd ${DESTDIR}/usr/share/
	install -m 644 -D pcsd/pcsd.conf ${DESTDIR}/etc/default/pcsd
	install -d ${DESTDIR}/etc/pam.d
	install  pcsd/pcsd.pam.debian ${DESTDIR}/etc/pam.d/pcsd
  ifeq ($(install_settings),true)
	rm -f  ${DESTDIR}/usr/share/pcsd/settings.rb
	tmp_settings_pcsd=`mktemp`; \
	        sed s/DEB_HOST_MULTIARCH/${DEB_HOST_MULTIARCH}/g pcsd/settings.rb.debian > $$tmp_settings_pcsd; \
	        install -m644 $$tmp_settings_pcsd ${DESTDIR}/usr/share/pcsd/settings.rb; \
	        rm -f $$tmp_settings_pcsd
  endif
  ifeq ($(IS_SYSTEMCTL),true)
	install -d ${DESTDIR}/${systemddir}/system/
	install -m 644 pcsd/pcsd.service.debian ${DESTDIR}/${systemddir}/system/pcsd.service
  else
	install -m 755 -D pcsd/pcsd.debian ${DESTDIR}/${initdir}/pcsd
  endif
else
	mkdir -p ${DESTDIR}${PREFIX}/lib/
	cp -r pcsd ${DESTDIR}${PREFIX}/lib/
	install -m 644 -D pcsd/pcsd.conf ${DESTDIR}/etc/sysconfig/pcsd
	install -d ${DESTDIR}/etc/pam.d
	install  pcsd/pcsd.pam ${DESTDIR}/etc/pam.d/pcsd
  ifeq ($(IS_SYSTEMCTL),true)
	install -d ${DESTDIR}/${systemddir}/system/
	install -m 644 pcsd/pcsd.service ${DESTDIR}/${systemddir}/system/
  else
	install -m 755 -D pcsd/pcsd ${DESTDIR}/${initdir}/pcsd
  endif
endif
	install -m 700 -d ${DESTDIR}/var/lib/pcsd
	install -m 644 -D pcsd/pcsd.logrotate ${DESTDIR}/etc/logrotate.d/pcsd

uninstall:
	rm -f ${DESTDIR}${PREFIX}/sbin/pcs
	rm -rf ${DESTDIR}${PYTHON_SITELIB}/pcs
ifeq ($(IS_DEBIAN),true)
	rm -rf ${DESTDIR}/usr/share/pcsd
else
	rm -rf ${DESTDIR}${PREFIX}/lib/pcsd
endif
ifeq ($(IS_SYSTEMCTL),true)
	rm -f ${DESTDIR}/${systemddir}/system/pcsd.service
else
	rm -f ${DESTDIR}/${initdir}/pcsd
endif
	rm -f ${DESTDIR}/etc/pam.d/pcsd
	rm -rf ${DESTDIR}/var/lib/pcsd

tarball: bash_completion
	python setup.py sdist --formats=tar
	python maketarballs.py

newversion:
	python newversion.py

bash_completion:
	cd pcs ; python -c 'import usage;  usage.sub_generate_bash_completion()' > bash_completion.d.pcs ; cd ..

=== pcsd/Makefile ===
build_gems: get_gems
	bundle install --local --deployment

# RHEL6 needs special rpam-ruby19 gem to work with 1.8.7
# also bundler is not available on RHEL6 in rpm
build_gems_rhel6:
	mkdir -p vendor/bundle/ruby
	gem install --verbose --no-rdoc --no-ri -l -i vendor/bundle/ruby vendor/cache/backports-3.6.4.gem vendor/cache/eventmachine-1.0.7.gem vendor/cache/json-1.8.3.gem vendor/cache/monkey-lib-0.5.4.gem vendor/cache/multi_json-1.11.1.gem vendor/cache/open4-1.3.4.gem vendor/cache/orderedhash-0.0.6.gem vendor/cache/rack-1.6.4.gem vendor/cache/rack-protection-1.5.3.gem vendor/cache/rack-test-0.6.3.gem vendor/cache/rpam-ruby19-feist-1.2.1.1.gem vendor/cache/tilt-1.4.1.gem vendor/cache/sinatra-1.4.6.gem vendor/cache/sinatra-contrib-1.4.4.gem vendor/cache/sinatra-sugar-0.5.1.gem -- '--with-ldflags="-Wl,-z,now -Wl,-z,relro"'

get_gems:
	bundle package

clean:
	rm -rfv vendor/

=== pcs/test/Makefile ===
ifndef $(PYTHON)
	PYTHON = python
endif

test:
	$(PYTHON) test_utils.py ${pyunit_flags}
	$(PYTHON) test_corosync_conf.py ${pyunit_flags}
	$(PYTHON) test_cluster.py ${pyunit_flags}
	$(PYTHON) test_resource.py ${pyunit_flags}
	$(PYTHON) test_rule.py ${pyunit_flags}
	$(PYTHON) test_constraints.py ${pyunit_flags}
	$(PYTHON) test_stonith.py ${pyunit_flags}
	$(PYTHON) test_properties.py ${pyunit_flags}
	$(PYTHON) test_acl.py ${pyunit_flags}
	$(PYTHON) test_node.py ${pyunit_flags}
	$(PYTHON) test_library_acl.py ${pyunit_flags}

=== debian/changelog ===
pcs (0.9.149-1ubuntu1.1) xenial; urgency=medium

  * Patch d/p/0009-Fix-corosync-log.patch makes the generated config
    use the right log directory so it doesn't fail to start
    (LP: #1673579).

 -- Bryan Quigley <bryan.quigley@canonical.com>  Thu, 27 Apr 2017 11:11:22 -0700

pcs (0.9.149-1ubuntu1) xenial; urgency=medium

  * Patch d/p/0006-Replace-orderedhash.patch added by Debian (LP: #1580035)
    Orderedhash gem can't be used due to licensing issues.
    Dependency package orderedhash replaced by activesupport.
    The daemon was not functional in Xenial before this.
  * Patch d/p/0007-Fix-IPv6-bind.patch (LP: #1580045)
    The daemon was being initialized listening only for IPv6 protocol.
  * Patch d/p/0008-Find-on-specific-directories-only.patch (LP: #1640919)
    Cleaning files when destroying a cluster was taking too long in /var/lib.
    Specifying /var/lib/pacemaker for "finding" leftovers solves the issue.

 -- Rafael David Tinoco <rafael.tinoco@canonical.com>  Fri, 09 Dec 2016 03:07:25 +0000

pcs (0.9.149-1) unstable; urgency=medium

  * New upstream version.
  * Use non-multi-arch settings.py/rb on all architectures.
    (Closes: #814450)
  * Conflict with python-pcs. This (unrelated) python module installs files to
    the same location as we do. (Closes: #814516)
    Installing our files to a different location would still risk this module
    getting loaded when we wanted our own files. The real solution would be
    renaming our (private) module, but this seems infeasible for now.

 -- Christoph Berg <myon@debian.org>  Thu, 10 Mar 2016 20:04:36 +0100

pcs (0.9.148-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove all ruby* packages from the build-dependencies, as nothing in the
    build process uses Ruby (Closes: #816383)
  * Remove dependency on ruby-monkey-lib, as it is not used at all by this
    software (Closes: #816614)
  
 -- Cédric Boutillier <boutil@debian.org>  Thu, 03 Mar 2016 15:46:48 +0100

pcs (0.9.148-1) unstable; urgency=medium

  [ Richard B Winters, Christoph Berg ]
  * Initial release.

 -- Richard B Winters <rik@mmogp.com>  Thu, 28 Jan 2016 10:12:39 +0100

=== debian/control ===
Source: pcs
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Richard B Winters <rik@mmogp.com>,
 Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9.0.0),
 dh-python,
 dh-systemd,
 libpam0g-dev,
 python-all (>= 2.6.6-3~),
 systemd
Standards-Version: 3.9.7
Homepage: https://github.com/feist/pcs
Vcs-Git: https://alioth.debian.org/anonscm/git/debian-ha/pcs.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-ha/pcs.git

Package: pcs
Architecture: any
Depends: ${shlibs:Depends},
 ${python:Depends},
 ${misc:Depends},
 fonts-liberation,
 python2.7 (>=2.7.9),
 ruby,
 ruby-activesupport,
 ruby-backports,
 ruby-eventmachine,
 ruby-highline,
 ruby-json,
 ruby-multi-json,
 ruby-open4,
 ruby-rack,
 ruby-rack-protection,
 ruby-rack-test,
 ruby-rpam-ruby19,
 ruby-sinatra,
 ruby-sinatra-contrib,
 ruby-thor,
 ruby-tilt,
 rubygems-integration
Recommends: pacemaker (>= 1.1.12)
Replaces: pacemaker (<< 1.1.12)
Breaks: pacemaker (<< 1.1.12)
# unrelated python module that installs files in the same location;
# conflict with it so it isn't loaded accidentally
Conflicts: python-pcs
Description: Pacemaker Configuration System
 pcs is a corosync and pacemaker configuration tool.  It permits 
 users to easily view, modify and create pacemaker based clusters.
 .
 pcs also provides pcsd, which operates as a GUI and remote server
 for pcs. Together pcs and pcsd form the recommended configuration
 tool for use with pacemaker.

=== debian/watch ===
version=3

opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
  https://github.com/feist/pcs/releases .*/v?(\d\S*)\.tar\.gz

## pcs 0.9.153

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,10 @@
 DISTRO_DEBIAN := $(shell if [ -e /etc/debian_version ] ; then echo true; else echo false; fi)
 IS_DEBIAN=false
 DISTRO_DEBIAN_VER_8=false
+
+ifndef PYTHON
+	PYTHON=python
+endif
 
 ifeq ($(UNAME_OS_GNU),true)
   ifeq ($(DISTRO_DEBIAN),true)
@@ -16,7 +20,7 @@
 endif
 
 ifndef PYTHON_SITELIB
-  PYTHON_SITELIB=$(shell python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
+  PYTHON_SITELIB=$(shell $(PYTHON) -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
 endif
 ifeq ($(PYTHON_SITELIB), /usr/lib/python2.6/dist-packages)
   EXTRA_SETUP_OPTS="--install-layout=deb"
@@ -53,7 +57,7 @@
 MANDIR=/usr/share/man
 
 ifndef PREFIX
-  PREFIX=$(shell prefix=`python -c "import sys; print(sys.prefix)"` || prefix="/usr"; echo $$prefix)
+  PREFIX=$(shell prefix=`$(PYTHON) -c "import sys; print(sys.prefix)"` || prefix="/usr"; echo $$prefix)
 endif
 
 ifndef systemddir
@@ -72,12 +76,16 @@
   endif
 endif
 
-install: bash_completion
-	python setup.py install --prefix ${DESTDIR}${PREFIX} ${EXTRA_SETUP_OPTS}
+
+ifndef BASH_COMPLETION_DIR
+	BASH_COMPLETION_DIR=${DESTDIR}/etc/bash_completion.d
+endif
+
+install:
+	$(PYTHON) setup.py install --root=$(or ${DESTDIR}, /) ${EXTRA_SETUP_OPTS}
 	mkdir -p ${DESTDIR}${PREFIX}/sbin/
-	chmod 755 ${DESTDIR}${PYTHON_SITELIB}/pcs/pcs.py
-	ln -fs ${PYTHON_SITELIB}/pcs/pcs.py ${DESTDIR}${PREFIX}/sbin/pcs
-	install -D pcs/bash_completion.d.pcs ${DESTDIR}/etc/bash_completion.d/pcs
+	mv ${DESTDIR}${PREFIX}/bin/pcs ${DESTDIR}${PREFIX}/sbin/pcs
+	install -D pcs/bash_completion.sh ${BASH_COMPLETION_DIR}/pcs
 	install -m644 -D pcs/pcs.8 ${DESTDIR}/${MANDIR}/man8/pcs.8
 ifeq ($(IS_DEBIAN),true)
   ifeq ($(install_settings),true)
@@ -86,7 +94,7 @@
 	        sed s/DEB_HOST_MULTIARCH/${DEB_HOST_MULTIARCH}/g pcs/settings.py.debian > $$tmp_settings; \
 	        install -m644 $$tmp_settings ${DESTDIR}${PYTHON_SITELIB}/pcs/settings.py; \
 	        rm -f $$tmp_settings
-	python -m compileall -fl ${DESTDIR}${PYTHON_SITELIB}/pcs/settings.py
+	$(PYTHON) -m compileall -fl ${DESTDIR}${PYTHON_SITELIB}/pcs/settings.py
   endif
 endif
 
@@ -123,6 +131,9 @@
   ifeq ($(IS_SYSTEMCTL),true)
 	install -d ${DESTDIR}/${systemddir}/system/
 	install -m 644 pcsd/pcsd.service ${DESTDIR}/${systemddir}/system/
+# ${DESTDIR}${PREFIX}/lib/pcsd/pcsd holds the selinux context
+	install -m 755 pcsd/pcsd.service-runner ${DESTDIR}${PREFIX}/lib/pcsd/pcsd
+	rm ${DESTDIR}${PREFIX}/lib/pcsd/pcsd.service-runner
   else
 	install -m 755 -D pcsd/pcsd ${DESTDIR}/${initdir}/pcsd
   endif
@@ -146,12 +157,9 @@
 	rm -f ${DESTDIR}/etc/pam.d/pcsd
 	rm -rf ${DESTDIR}/var/lib/pcsd
 
-tarball: bash_completion
-	python setup.py sdist --formats=tar
-	python maketarballs.py
+tarball:
+	$(PYTHON) setup.py sdist --formats=tar
+	$(PYTHON) maketarballs.py
 
 newversion:
-	python newversion.py
-
-bash_completion:
-	cd pcs ; python -c 'import usage;  usage.sub_generate_bash_completion()' > bash_completion.d.pcs ; cd ..
+	$(PYTHON) newversion.py

=== debian/changelog ===
pcs (0.9.153-2) unstable; urgency=medium

  * Fix package description
  * Drop unused dependencies: ruby-thor, ruby-tilt
  * Re-enable the upstream init script
  * Fix test fail with ruby-json 2.0 (Closes: #832172)
  * Avoid depending on thread finish order in tests

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sat, 30 Jul 2016 11:28:50 +0200

pcs (0.9.153-1) unstable; urgency=medium

  * New upstream version.
  * Update upstream homepage.
  * Update IPv6 bind patch to work with rack.
  * Drop unused ruby-eventmachine dependency.

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Tue, 05 Jul 2016 13:32:45 +0200

pcs (0.9.151-1) unstable; urgency=medium

  [ Valentin Vidic ]
  * New upstream version.
  * Replace orderedhash with active_support. (Closes: #818760)
  * Update Architecture from any to all.
  * Update Standards-Version: no changes required.
  * Update Uploaders: add Valentin Vidic.
  * Fix pcsd listening on IPv6 only.
  * Update python dependencies.

  [ Christoph Berg ]
  * debian/tests: Run "pcs cluster status". (No pcsd checks yet.)

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 20 Jun 2016 12:29:41 +0200

=== debian/control ===
Source: pcs
Section: admin
Priority: extra
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Richard B Winters <rik@mmogp.com>,
 Christoph Berg <myon@debian.org>,
 Valentin Vidic <Valentin.Vidic@CARNet.hr>
Build-Depends: debhelper (>= 9.0.0),
 dh-python,
 dh-systemd,
 libpam0g-dev,
 python-all (>= 2.6.6-3~),
 python-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/ClusterLabs/pcs
Vcs-Git: https://alioth.debian.org/anonscm/git/debian-ha/pcs.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-ha/pcs.git

Package: pcs
Architecture: all
Depends: ${shlibs:Depends},
 ${python:Depends},
 ${misc:Depends},
 psmisc,
 fonts-liberation,
 python2.7 (>=2.7.9),
 python-lxml,
 python-pkg-resources,
 ruby,
 ruby-activesupport,
 ruby-backports,
 ruby-highline,
 ruby-json,
 ruby-multi-json,
 ruby-open4,
 ruby-rack,
 ruby-rack-protection,
 ruby-rack-test,
 ruby-rpam-ruby19,
 ruby-sinatra,
 ruby-sinatra-contrib,
 rubygems-integration
Recommends: pacemaker (>= 1.1.12)
Replaces: pacemaker (<< 1.1.12)
Breaks: pacemaker (<< 1.1.12)
# unrelated python module that installs files in the same location;
# conflict with it so it isn't loaded accidentally
Conflicts: python-pcs
Description: Pacemaker Configuration System
 pcs is a corosync and pacemaker configuration tool. It permits
 users to easily view, modify and create pacemaker based clusters.
 .
 pcs also provides pcsd, which operates as a GUI and remote server
 for pcs. Together pcs and pcsd form the recommended configuration
 tool for use with pacemaker.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Ensure that we link against all needed libraries (cf. Policy 10.2)
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs

# main packaging script based on dh7 syntax
%:
	dh $@ --with python2,systemd --fail-missing

override_dh_clean:
	dh_clean --exclude="corosync.conf.orig"
	rm -rf build pcs/usage.pyc pcs/bash_completion.d.pcs pcs.egg-info

override_dh_auto_build:
	echo "Bundler decoupled from build system"

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp
	# Make pcs
	$(MAKE) install \
		PREFIX=/usr \
		DESTDIR=$(CURDIR)/debian/tmp \
		PYTHON_SITELIB=/usr/lib/python2.7/dist-packages \
		install_settings=true
	# Make pcsd
	$(MAKE) install_pcsd \
		PREFIX=/usr \
		DESTDIR=$(CURDIR)/debian/tmp \
		PYTHON_SITELIB=/usr/lib/python2.7/dist-packages \
		BUILD_GEMS=false \
		systemddir=/lib/systemd \
		SYSTEMCTL_OVERRIDE=true

	# Always install the init script
	install -m 755 -D pcsd/pcsd.debian $(CURDIR)/debian/tmp/etc/init.d/pcsd

	# remove embedded fonts
	set -e && cd $(CURDIR)/debian/tmp/usr/share/pcsd/public/css && \
	for ttf in Liberation*.ttf; do \
		ln -sf /usr/share/fonts/truetype/liberation/$$ttf $$ttf; \
	done

override_dh_python2:
	dh_python2 -p pcs --skip-private
	dh_python2 -p pcs /usr/share/pcsd

override_dh_installinit:
	dh_installinit --onlyscripts --name=pcsd

override_dh_compress:
	# make non-scripts non-executable
	chmod -x $(CURDIR)/debian/pcs/usr/share/pcsd/public/css/* || : # ignore *.ttf symlinks
	chmod -x $(CURDIR)/debian/pcs/etc/pam.d/pcsd
	chmod -x $(CURDIR)/debian/pcs/usr/lib/python*/*-packages/pcs/settings.py
	chmod -x $(CURDIR)/debian/pcs/usr/share/bash-completion/completions/pcs
	chmod a+x $(CURDIR)/debian/pcs/usr/share/pcsd/pcsd.debian
	chmod a+x $(CURDIR)/debian/pcs/usr/share/pcsd/pcsd.service-runner
	chmod 755 $(CURDIR)/debian/pcs/usr/share/pcsd/public/css/images/
	dh_compress

## pcs 0.9.155+dfsg

=== Makefile ===
--- 
+++ 
@@ -85,7 +85,7 @@
 	$(PYTHON) setup.py install --root=$(or ${DESTDIR}, /) ${EXTRA_SETUP_OPTS}
 	mkdir -p ${DESTDIR}${PREFIX}/sbin/
 	mv ${DESTDIR}${PREFIX}/bin/pcs ${DESTDIR}${PREFIX}/sbin/pcs
-	install -D pcs/bash_completion.sh ${BASH_COMPLETION_DIR}/pcs
+	install -D -m644 pcs/bash_completion.sh ${BASH_COMPLETION_DIR}/pcs
 	install -m644 -D pcs/pcs.8 ${DESTDIR}/${MANDIR}/man8/pcs.8
 ifeq ($(IS_DEBIAN),true)
   ifeq ($(install_settings),true)

=== pcsd/Makefile ===
build_gems: get_gems
	bundle install --local --deployment

# RHEL6 needs special rpam-ruby19 gem to work with 1.8.7
# also bundler is not available on RHEL6 in rpm
build_gems_rhel6:
	mkdir -p vendor/bundle/ruby
	gem install --verbose --no-rdoc --no-ri -l -i vendor/bundle/ruby \
	vendor/cache/backports-3.6.8.gem \
	vendor/cache/json-1.8.3.gem \
	vendor/cache/multi_json-1.12.0.gem \
	vendor/cache/open4-1.3.4.gem \
	vendor/cache/orderedhash-0.0.6.gem \
	vendor/cache/rack-1.6.4.gem \
	vendor/cache/rack-protection-1.5.3.gem \
	vendor/cache/rack-test-0.6.3.gem \
	vendor/cache/rpam-ruby19-feist-1.2.1.1.gem \
	vendor/cache/tilt-2.0.3.gem \
	vendor/cache/sinatra-1.4.7.gem \
	vendor/cache/sinatra-contrib-1.4.7.gem \
	-- '--with-ldflags="-Wl,-z,now -Wl,-z,relro"'

get_gems:
	bundle package

clean:
	rm -rfv vendor/

=== debian/changelog ===
pcs (0.9.155+dfsg-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

  [ Valentin Vidic ]
  * debian/tests: booth not available in jessie-backports
  * debian/tests: ruby-test-unit required for testsuite-pcsd
  * debian/tests: fix testsuite-pcsd for jessie
  * debian/tests: fix testsuite-pcs for jessie

  [ Christoph Berg ]
  * debian/tests: Bump fence-agents test dependency to 4 to unbreak stonith
    tests

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 08 Jun 2017 12:52:37 +0200

pcs (0.9.155+dfsg-2) unstable; urgency=medium

  * Add upstream fix for CVE-2017-2661 (Closes: #858379)

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Tue, 21 Mar 2017 20:37:55 +0100

pcs (0.9.155+dfsg-1) unstable; urgency=medium

  * Repack upstream source without Liberation fonts (Closes: #851115)
  * Update font linking for new upstream

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Fri, 13 Jan 2017 13:50:46 +0100

pcs (0.9.155-3) unstable; urgency=medium

  * Add quilt dir .pc to .gitignore
  * Update pcs testsuite for python-lxml 3.7.1-1

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Fri, 06 Jan 2017 10:51:24 +0100

pcs (0.9.155-2) unstable; urgency=medium

  * debian/tests: update pcs status check
  * Cleanup debian/patches
  * Add patch to fix file cleanup by cluster destroy
  * Update README.Debian: cluster setup instructions

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 14 Dec 2016 20:46:14 +0100

pcs (0.9.155-1) unstable; urgency=medium

  * Add lsb-base dependency to fix lintian error
  * New upstream version 0.9.155
  * Update Vcs-Browser to use https
  * Fix jquery path in debian/copyright
  * Fix spelling in pcs manpage
  * Remove unused lintian override
  * Update debian/patches

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sun, 13 Nov 2016 13:48:16 +0100

pcs (0.9.154-1) unstable; urgency=medium

  * New upstream version 0.9.154
  * Cleanup on purge: /var/lib/pcsd, /var/log/pcsd
  * Replace chkconfig invocations with update-rc.d
  * Update debian/patches for new version
  * Update debian/tests for new version

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 26 Sep 2016 17:57:32 +0200

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,9 @@
 
 	# remove embedded fonts
 	set -e && cd $(CURDIR)/debian/tmp/usr/share/pcsd/public/css && \
-	for ttf in Liberation*.ttf; do \
+	for ttf in LiberationSans-Bold.ttf LiberationSans-BoldItalic.ttf \
+		   LiberationSans-Italic.ttf LiberationSans-Regular.ttf; \
+	do \
 		ln -sf /usr/share/fonts/truetype/liberation/$$ttf $$ttf; \
 	done

=== debian/tests/control ===
Depends: @, pacemaker, pacemaker-cli-utils, make, fence-agents (>> 4), python-mock, ruby-test-unit
Tests: status, setup, testsuite-pcsd, testsuite-pcs
Restrictions: needs-root

=== debian/watch ===
version=4
opts="repack,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
      https://github.com/ClusterLabs/pcs/releases \
      .*/v?(\d\S*)\.tar\.gz

## pcs 0.9.159

=== debian/changelog ===
pcs (0.9.159-3ubuntu2) artful; urgency=medium

  * But also unset the https proxy.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Sep 2017 22:12:10 -0700

pcs (0.9.159-3ubuntu1) artful; urgency=medium

  * Fix autopkgtest to not complain if a proxy is configured in the
    environment.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Sep 2017 21:12:50 -0700

pcs (0.9.159-3) unstable; urgency=medium

  * d/control: build requires fontconfig (Closes: #867304)

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 05 Jul 2017 19:01:46 +0200

pcs (0.9.159-2) unstable; urgency=medium

  * d/patches: refresh for fuzz
  * d/patches: fix Makefile to work with dash (Closes: #867287)

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 05 Jul 2017 16:44:21 +0200

pcs (0.9.159-1) unstable; urgency=medium

  * New upstream version 0.9.159
  * Remove upstream repack
  * d/control: add ruby-ethon to Depends
  * d/control: remove ${shlibs:Depends}
  * d/control: update Standards-Version to 4.0.0
  * d/rules: use dh_missing --fail-missing
  * d/rules: use debhelper version 10
  * d/source/lintian-overrides: cleanup comments
  * d/patches: refresh for new version
  * d/patches: update numbering
  * d/patches: fix failure in d/tests/testsuite-pcs
  * d/control: add fonts-dejavu-core to Depends

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 05 Jul 2017 13:49:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: pcs
 Section: admin
 Priority: extra
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Richard B Winters <rik@mmogp.com>,
  Christoph Berg <myon@debian.org>,
  Valentin Vidic <Valentin.Vidic@CARNet.hr>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 10),
  dh-python,
  dh-systemd,
+ fontconfig,
  libpam0g-dev,
  python-all (>= 2.6.6-3~),
  python-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/ClusterLabs/pcs
 Vcs-Git: https://alioth.debian.org/anonscm/git/debian-ha/pcs.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-ha/pcs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-ha/pcs.git
 
 Package: pcs
 Architecture: all
-Depends: ${shlibs:Depends},
- ${python:Depends},
+Depends: ${python:Depends},
  ${misc:Depends},
+ lsb-base (>= 3.0-6),
  psmisc,
+ fonts-dejavu-core,
  fonts-liberation,
  python2.7 (>=2.7.9),
  python-lxml,
@@ -29,6 +32,7 @@
  ruby,
  ruby-activesupport,
  ruby-backports,
+ ruby-ethon,
  ruby-highline,
  ruby-json,
  ruby-multi-json,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,10 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with python2,systemd --fail-missing
+	dh $@ --with python2
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_clean:
 	dh_clean --exclude="corosync.conf.orig"

## pcs 0.9.164

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DISTRO_DEBIAN_VER_8=false
 
 ifndef PYTHON
-	PYTHON=python
+	PYTHON := $(shell which python3 || which python2 || which python)
 endif
 
 ifeq ($(UNAME_OS_GNU),true)
@@ -28,24 +28,18 @@
 ifeq ($(PYTHON_SITELIB), /usr/lib/python2.7/dist-packages)
   EXTRA_SETUP_OPTS="--install-layout=deb"
 endif
-
-# Check for systemd presence, add compatibility with Debian based distros
-IS_SYSTEMCTL=false
-
-ifeq ($(IS_DEBIAN),true)
-  IS_SYSTEMCTL = $(shell if [ -d /var/run/systemd/system ] ; then echo true ; else echo false; fi)
-  ifeq ($(IS_SYSTEMCTL),false)
-    ifeq ($(SYSTEMCTL_OVERRIDE),true)
-      IS_SYSTEMCTL=true
-    endif
-  endif
-else
-  ifeq ("$(wildcard /usr/bin/systemctl)","/usr/bin/systemctl")
-    IS_SYSTEMCTL=true
-  else
-    ifeq ("$(wildcard /bin/systemctl)","/usr/bin/systemctl")
-      IS_SYSTEMCTL=true
-    endif
+ifeq ($(PYTHON_SITELIB), /usr/lib/python3/dist-packages)
+  EXTRA_SETUP_OPTS="--install-layout=deb"
+endif
+
+# Check for systemd presence
+ifeq ($(SYSTEMCTL_OVERRIDE),true)
+  IS_SYSTEMCTL=true
+else
+  ifeq ($(SYSTEMCTL_OVERRIDE),false)
+    IS_SYSTEMCTL=false
+  else
+    IS_SYSTEMCTL = $(shell if [ -d /run/systemd/system ] || [ -d /var/run/systemd/system ] ; then echo true ; else echo false; fi)
   endif
 endif
 
@@ -81,12 +75,65 @@
 	BASH_COMPLETION_DIR=${DESTDIR}/etc/bash_completion.d
 endif
 
-install:
+ifndef PCSD_PARENT_DIR
+  ifeq ($(IS_DEBIAN),true)
+    PCSD_PARENT_DIR = /usr/share
+  else
+    PCSD_PARENT_DIR = ${PREFIX}/lib
+  endif
+endif
+
+ifndef PCS_PARENT_DIR
+  PCS_PARENT_DIR=${DESTDIR}/${PREFIX}/lib/pcs
+endif
+
+BUNDLED_LIB_INSTALL_DIR=${PCS_PARENT_DIR}/bundled
+
+ifndef BUNDLED_LIB_DIR
+  BUNDLED_LIB_DIR=./pcs/bundled/
+endif
+BUNDLED_LIB_DIR_ABS=$(shell readlink -f ${BUNDLED_LIB_DIR})
+BUNDLES_TMP_DIR=${BUNDLED_LIB_DIR_ABS}/tmp
+
+ifndef SNMP_MIB_DIR
+  SNMP_MIB_DIR=/share/snmp/mibs/
+endif
+SNMP_MIB_DIR_FULL=${DESTDIR}/${PREFIX}/${SNMP_MIB_DIR}
+
+pcsd_fonts = \
+	LiberationSans-Regular.ttf;LiberationSans:style=Regular \
+	LiberationSans-Bold.ttf;LiberationSans:style=Bold \
+	LiberationSans-BoldItalic.ttf;LiberationSans:style=BoldItalic \
+	LiberationSans-Italic.ttf;LiberationSans:style=Italic \
+	Overpass-Regular.ttf;Overpass:style=Regular \
+	Overpass-Bold.ttf;Overpass:style=Bold
+
+
+install: install_bundled_libs
+	# make Python interpreter execution sane (via -Es flags)
+	printf "[build]\nexecutable = $(PYTHON) -Es\n" > setup.cfg
 	$(PYTHON) setup.py install --root=$(or ${DESTDIR}, /) ${EXTRA_SETUP_OPTS}
+	# fix excessive script interpreting "executable" quoting with old setuptools:
+	# https://github.com/pypa/setuptools/issues/188
+	# https://bugzilla.redhat.com/1353934
+	sed -i '1s|^\(#!\)"\(.*\)"$$|\1\2|' ${DESTDIR}${PREFIX}/bin/pcs
+	sed -i '1s|^\(#!\)"\(.*\)"$$|\1\2|' ${DESTDIR}${PREFIX}/bin/pcs_snmp_agent
+	rm setup.cfg
 	mkdir -p ${DESTDIR}${PREFIX}/sbin/
 	mv ${DESTDIR}${PREFIX}/bin/pcs ${DESTDIR}${PREFIX}/sbin/pcs
-	install -D -m644 pcs/bash_completion.sh ${BASH_COMPLETION_DIR}/pcs
+	install -D -m644 pcs/bash_completion ${BASH_COMPLETION_DIR}/pcs
 	install -m644 -D pcs/pcs.8 ${DESTDIR}/${MANDIR}/man8/pcs.8
+	# pcs SNMP install
+	mv ${DESTDIR}${PREFIX}/bin/pcs_snmp_agent ${PCS_PARENT_DIR}/pcs_snmp_agent
+	install -d ${DESTDIR}/var/log/pcs
+	install -d ${SNMP_MIB_DIR_FULL}
+	install -m 644 pcs/snmp/mibs/PCMK-PCS*-MIB.txt ${SNMP_MIB_DIR_FULL}
+	install -m 644 -D pcs/snmp/pcs_snmp_agent.conf ${DESTDIR}/etc/sysconfig/pcs_snmp_agent
+	install -m 644 -D pcs/snmp/pcs_snmp_agent.8 ${DESTDIR}/${MANDIR}/man8/pcs_snmp_agent.8
+ifeq ($(IS_SYSTEMCTL),true)
+	install -d ${DESTDIR}/${systemddir}/system/
+	install -m 644 pcs/snmp/pcs_snmp_agent.service ${DESTDIR}/${systemddir}/system/
+endif
 ifeq ($(IS_DEBIAN),true)
   ifeq ($(install_settings),true)
 	rm -f  ${DESTDIR}${PYTHON_SITELIB}/pcs/settings.py
@@ -123,39 +170,64 @@
 	install -m 755 -D pcsd/pcsd.debian ${DESTDIR}/${initdir}/pcsd
   endif
 else
-	mkdir -p ${DESTDIR}${PREFIX}/lib/
-	cp -r pcsd ${DESTDIR}${PREFIX}/lib/
+	mkdir -p ${DESTDIR}${PCSD_PARENT_DIR}/
+	cp -r pcsd ${DESTDIR}${PCSD_PARENT_DIR}/
 	install -m 644 -D pcsd/pcsd.conf ${DESTDIR}/etc/sysconfig/pcsd
 	install -d ${DESTDIR}/etc/pam.d
 	install  pcsd/pcsd.pam ${DESTDIR}/etc/pam.d/pcsd
   ifeq ($(IS_SYSTEMCTL),true)
 	install -d ${DESTDIR}/${systemddir}/system/
 	install -m 644 pcsd/pcsd.service ${DESTDIR}/${systemddir}/system/
-# ${DESTDIR}${PREFIX}/lib/pcsd/pcsd holds the selinux context
-	install -m 755 pcsd/pcsd.service-runner ${DESTDIR}${PREFIX}/lib/pcsd/pcsd
-	rm ${DESTDIR}${PREFIX}/lib/pcsd/pcsd.service-runner
+# ${DESTDIR}${PCSD_PARENT_DIR}/pcsd/pcsd holds the selinux context
+	install -m 755 pcsd/pcsd.service-runner ${DESTDIR}${PCSD_PARENT_DIR}/pcsd/pcsd
+	rm ${DESTDIR}${PCSD_PARENT_DIR}/pcsd/pcsd.service-runner
   else
 	install -m 755 -D pcsd/pcsd ${DESTDIR}/${initdir}/pcsd
   endif
 endif
 	install -m 700 -d ${DESTDIR}/var/lib/pcsd
 	install -m 644 -D pcsd/pcsd.logrotate ${DESTDIR}/etc/logrotate.d/pcsd
+	install -m644 -D pcsd/pcsd.8 ${DESTDIR}/${MANDIR}/man8/pcsd.8
+	$(foreach font,$(pcsd_fonts),\
+		$(eval font_file = $(word 1,$(subst ;, ,$(font)))) \
+		$(eval font_def = $(word 2,$(subst ;, ,$(font)))) \
+		$(eval font_path = $(shell fc-match '--format=%{file}' '$(font_def)')) \
+		$(if $(font_path),ln -s -f $(font_path) ${DESTDIR}${PCSD_PARENT_DIR}/pcsd/public/css/$(font_file);,$(error Font $(font_def) not found)) \
+	)
+
+build_bundled_libs:
+ifndef PYAGENTX_INSTALLED
+	rm -rf ${BUNDLES_TMP_DIR}
+	mkdir -p ${BUNDLES_TMP_DIR}
+	$(MAKE) -C pcs/snmp/ build_bundled_libs
+	rm -rf ${BUNDLES_TMP_DIR}
+endif
+
+install_bundled_libs: build_bundled_libs
+ifndef PYAGENTX_INSTALLED
+	install -d ${BUNDLED_LIB_INSTALL_DIR}
+	cp -r ${BUNDLED_LIB_DIR_ABS}/packages ${BUNDLED_LIB_INSTALL_DIR}
+endif
 
 uninstall:
 	rm -f ${DESTDIR}${PREFIX}/sbin/pcs
 	rm -rf ${DESTDIR}${PYTHON_SITELIB}/pcs
 ifeq ($(IS_DEBIAN),true)
 	rm -rf ${DESTDIR}/usr/share/pcsd
+	rm -rf ${DESTDIR}/usr/share/pcs
 else
 	rm -rf ${DESTDIR}${PREFIX}/lib/pcsd
+	rm -rf ${DESTDIR}${PREFIX}/lib/pcs
 endif
 ifeq ($(IS_SYSTEMCTL),true)
 	rm -f ${DESTDIR}/${systemddir}/system/pcsd.service
+	rm -f ${DESTDIR}/${systemddir}/system/pcs_snmp_agent.service
 else
 	rm -f ${DESTDIR}/${initdir}/pcsd
 endif
 	rm -f ${DESTDIR}/etc/pam.d/pcsd
 	rm -rf ${DESTDIR}/var/lib/pcsd
+	rm -f ${SNMP_MIB_DIR_FULL}/PCMK-PCS*-MIB.txt
 
 tarball:
 	$(PYTHON) setup.py sdist --formats=tar

=== pcsd/Makefile ===
FFI_VERSION="1.9.18"
FFI_C_DIR=vendor/bundle/ruby/gems/ffi-${FFI_VERSION}/ext/ffi_c

build_gems: get_gems
	bundle install --local --deployment
	#ffi makes symlink with absolute path. Let's change it to relative path.
	for fname in `ls ${FFI_C_DIR}/libffi-*/include/ffitarget.h`; do \
		if [[ -L "$$fname" ]]; then \
			target=$$(readlink $$fname | sed "s~.*/${FFI_C_DIR}\(/libffi/src/[^/]\+/ffitarget.h\)~../..\1~"); \
			rm $$fname; \
			ln -s $$target $$fname; \
		fi; \
	done;

build_gems_without_bundler:
	mkdir -p vendor/bundle/ruby
	gem install --verbose --no-rdoc --no-ri -l --ignore-dependencies -i vendor/bundle/ruby \
	vendor/cache/backports-3.9.1.gem \
	vendor/cache/ethon-0.10.1.gem \
	vendor/cache/ffi-${FFI_VERSION}.gem \
	vendor/cache/json-2.1.0.gem \
	vendor/cache/multi_json-1.12.2.gem \
	vendor/cache/open4-1.3.4.gem \
	vendor/cache/rack-1.6.4.gem \
	vendor/cache/rack-protection-1.5.5.gem \
	vendor/cache/rack-test-0.7.0.gem \
	vendor/cache/rpam-ruby19-1.2.1.gem \
	vendor/cache/sinatra-1.4.8.gem \
	vendor/cache/sinatra-contrib-1.4.7.gem \
	vendor/cache/tilt-2.0.8.gem \
	-- '--with-ldflags="-Wl,-z,now -Wl,-z,relro"'

get_gems:
	bundle package

clean:
	rm -rfv vendor/

=== pcs/snmp/Makefile ===
PYAGENTX_VERSION="0.4.pcs.1"
PYAGENTX_URI="https://github.com/ondrejmular/pyagentx/archive/v${PYAGENTX_VERSION}.tar.gz"

ifndef PYTHON
	PYTHON := $(shell which python3 || which python2 || which python)
endif

ifndef PREFIX
  PREFIX=$(shell prefix=`$(PYTHON) -c "import sys; print(sys.prefix)"` || prefix="/usr"; echo $$prefix)
endif

ifndef PCS_PARENT_DIR
  PCS_PARENT_DIR=${DESTDIR}/${PREFIX}/lib/pcs
endif

ifndef BUNDLED_LIB_DIR
  BUNDLED_LIB_DIR=../bundled/
endif
ifndef BUNDLED_LIB_DIR_ABS
  BUNDLED_LIB_DIR_ABS=$(shell readlink -f ${BUNDLED_LIB_DIR})
endif
BUNDLES_TMP_DIR=${BUNDLED_LIB_DIR_ABS}/tmp

PYAGENTX_PROVIDED=true
ifndef PYAGENTX_DIR
  PYAGENTX_PROVIDED=false
  PYAGENTX_DIR=${BUNDLES_TMP_DIR}/pyagentx-${PYAGENTX_VERSION}
endif

get_pyagentx:
ifeq (${PYAGENTX_PROVIDED},false)
	rm -rf ${PYAGENTX_DIR}
	mkdir -p ${BUNDLES_TMP_DIR}
	wget -qO- ${PYAGENTX_URI} | tar xvz -C ${BUNDLES_TMP_DIR}
endif

build_pyagentx: get_pyagentx
ifdef PYAGENTX_DIR
	cd ${PYAGENTX_DIR} && PYTHONPATH=${BUNDLED_LIB_DIR_ABS}/packages/ $(PYTHON) setup.py install --install-purelib /packages/ --root ${BUNDLED_LIB_DIR_ABS}
endif

build_bundled_libs: build_pyagentx

clean:
	rm -rf ${BUNDLES_TMP_DIR}/pyagentx*
	rm -rf ${BUNDLED_LIB_DIR_ABS}/packages/pyagentx*

=== debian/changelog ===
pcs (0.9.164-1) unstable; urgency=high

  * New upstream version 0.9.164 fixing:
    - CVE-2018-1086: Debug parameter removal bypass,
      allowing information disclosure (Closes: #895313)
    - CVE-2018-1079: Privilege escalation via authorized
      user malicious REST call (Closes: #895314)
  * d/patches: revert changes from git
  * d/patches: update for new version
  * d/rules: update for new version
  * d/copyright: use https in Format url
  * d/control: update Vcs URLs to use salsa
  * d/changelog: cleanup trailing whitespace
  * d/control: update Standards-Version to 4.1.4
  * d/compat: update debhelper to v11
  * d/patches: fix seconds output in testsuite

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Thu, 12 Apr 2018 22:14:30 +0200

pcs (0.9.162-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Remove Richard and myself from Uploaders

  [ Valentin Vidic ]
  * New upstream version 0.9.162
  * d/patches: refresh for new version
  * d/rules: remove SNMP until python-pyagentx is available

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 27 Nov 2017 10:40:37 +0100

pcs (0.9.161-1) unstable; urgency=medium

  * New upstream version 0.9.161
  * d/patches: refresh for new version

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Fri, 03 Nov 2017 18:08:01 +0100

pcs (0.9.160-1) unstable; urgency=medium

  * New upstream version 0.9.160
  * d/control: remove Build-Depends on dh-systemd
  * d/control: replace deprecated priority extra
  * d/tests: fix testsuite-pcs failing in Ubuntu (Closes: #874026)
  * d/patches: refresh for new version
  * d/pcs.install: move README to README.md
  * d/patches: drop 0009-Fix-python-lxml.patch
  * d/patches: add 0009-Fix-pcsd-port.patch
  * d/patches: add 0010-Fix-python3-build.patch
  * d/rules: update build rules for python3
  * d/control: update dependencies for python3
  * d/tests: update testsuite-pcs to use python3
  * d/control: update Standards-Version to 4.1.1
  * d/copyright: drop paragraph for Liberation fonts
  * d/patches: add 0011-Add-service-documentation.patch

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sat, 14 Oct 2017 13:20:20 +0200

=== debian/control ===
Source: pcs
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders:
 Valentin Vidic <Valentin.Vidic@CARNet.hr>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 fontconfig,
 libpam0g-dev,
 python3-all,
 python3-setuptools
Standards-Version: 4.1.4
Homepage: https://github.com/ClusterLabs/pcs
Vcs-Browser: https://salsa.debian.org/ha-team/pcs
Vcs-Git: https://salsa.debian.org/ha-team/pcs.git

Package: pcs
Architecture: all
Depends:
 ${misc:Depends},
 lsb-base (>= 3.0-6),
 psmisc,
 fonts-dejavu-core,
 fonts-liberation,
 ${python3:Depends},
 python3-lxml,
 python3-pkg-resources,
 python3-pycurl,
 ruby,
 ruby-activesupport,
 ruby-backports,
 ruby-ethon,
 ruby-highline,
 ruby-json,
 ruby-multi-json,
 ruby-open4,
 ruby-rack,
 ruby-rack-protection,
 ruby-rack-test,
 ruby-rpam-ruby19,
 ruby-sinatra,
 ruby-sinatra-contrib,
 rubygems-integration
Recommends: pacemaker (>= 1.1.12)
Replaces: pacemaker (<< 1.1.12)
Breaks: pacemaker (<< 1.1.12)
# unrelated python module that installs files in the same location;
# conflict with it so it isn't loaded accidentally
Conflicts: python3-pcs
Description: Pacemaker Configuration System
 pcs is a corosync and pacemaker configuration tool. It permits
 users to easily view, modify and create pacemaker based clusters.
 .
 pcs also provides pcsd, which operates as a GUI and remote server
 for pcs. Together pcs and pcsd form the recommended configuration
 tool for use with pacemaker.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# main packaging script based on dh7 syntax
%:
	dh $@ --with python3

override_dh_missing:
	dh_missing --fail-missing

override_dh_clean:
	dh_clean --exclude="corosync.conf.orig"
	rm -rf build pcs/usage.pyc pcs/bash_completion.d.pcs pcs.egg-info setup.cfg

override_dh_auto_build:
	echo "Bundler decoupled from build system"

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp

	# Make pcs
	$(MAKE) install \
		PREFIX=/usr \
		DESTDIR=$(CURDIR)/debian/tmp \
		PYTHON_SITELIB=/usr/lib/python3/dist-packages \
		PYAGENTX_INSTALLED=true \
		systemddir=/lib/systemd \
		SYSTEMCTL_OVERRIDE=true \
		install_settings=true

	# Make pcsd
	$(MAKE) install_pcsd \
		PREFIX=/usr \
		DESTDIR=$(CURDIR)/debian/tmp \
		PYTHON_SITELIB=/usr/lib/python3/dist-packages \
		BUILD_GEMS=false \
		systemddir=/lib/systemd \
		SYSTEMCTL_OVERRIDE=true

	# Always install the init script
	install -m 755 -D pcsd/pcsd.debian $(CURDIR)/debian/tmp/etc/init.d/pcsd

	# Remove embedded fonts
	set -e && cd $(CURDIR)/debian/tmp/usr/share/pcsd/public/css && \
	for ttf in LiberationSans-Bold.ttf LiberationSans-BoldItalic.ttf \
		   LiberationSans-Italic.ttf LiberationSans-Regular.ttf; \
	do \
		ln -sf /usr/share/fonts/truetype/liberation/$$ttf $$ttf; \
	done

	# Remove SNMP until python-pyagentx is available
	rm $(CURDIR)/debian/tmp/etc/sysconfig/pcs_snmp_agent
	rm $(CURDIR)/debian/tmp/lib/systemd/system/pcs_snmp_agent.service
	rm $(CURDIR)/debian/tmp/usr/lib/pcs/pcs_snmp_agent
	rm $(CURDIR)/debian/tmp/usr/share/snmp/mibs/*
	rm $(CURDIR)/debian/tmp/usr/share/man/man8/pcs_snmp_agent.8

override_dh_python3:
	dh_python3 -p pcs --skip-private
	dh_python3 -p pcs /usr/share/pcsd

override_dh_installinit:
	dh_installinit --onlyscripts --name=pcsd

override_dh_compress:
	# make non-scripts non-executable
	chmod -x $(CURDIR)/debian/pcs/usr/share/pcsd/public/css/* || : # ignore *.ttf symlinks
	chmod -x $(CURDIR)/debian/pcs/etc/pam.d/pcsd
	chmod -x $(CURDIR)/debian/pcs/usr/lib/python*/*-packages/pcs/settings.py
	chmod -x $(CURDIR)/debian/pcs/usr/share/bash-completion/completions/pcs
	chmod a+x $(CURDIR)/debian/pcs/usr/share/pcsd/pcsd.debian
	chmod a+x $(CURDIR)/debian/pcs/usr/share/pcsd/pcsd.service-runner
	chmod 755 $(CURDIR)/debian/pcs/usr/share/pcsd/public/css/images/
	dh_compress

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
  https://github.com/ClusterLabs/pcs/releases .*/v?(\d\S*)\.tar\.gz

## pcs 0.9.165

=== debian/changelog ===
pcs (0.9.165-1) unstable; urgency=medium

  * New upstream version 0.9.165
  * d/patches: update for new version

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sun, 24 Jun 2018 21:40:43 +0200

## pcs 0.10.1

=== debian/changelog ===
pcs (0.10.1-2+deb10u1) buster-security; urgency=high

  * d/patches: add fix for CVE-2022-1049

 -- Valentin Vidic <vvidic@debian.org>  Sun, 04 Sep 2022 21:55:16 +0200

pcs (0.10.1-2) unstable; urgency=medium

  * d/control: cleanup ruby dependencies
  * d/tests: cleanup dependencies
  * d/tests: require pacemaker 2.0
  * d/control: require pacemaker 2.0

 -- Valentin Vidic <vvidic@debian.org>  Thu, 17 Jan 2019 16:26:02 +0100

pcs (0.10.1-1) unstable; urgency=medium

  * New upstream version 0.10.1 (Closes: #918944)
    - Works with Corosync 3 and Pacemaker 2

 -- Valentin Vidic <vvidic@debian.org>  Sat, 12 Jan 2019 13:30:43 +0100

pcs (0.9.166-5) unstable; urgency=medium

  * d/patches: fixes for ruby-rack 2

 -- Valentin Vidic <vvidic@debian.org>  Sun, 06 Jan 2019 18:54:19 +0100

pcs (0.9.166-4) unstable; urgency=medium

  * d/tests: fix testsuite-pcs for pacemaker 1.1.19 (Closes: #917462)
  * d/control: update Standards-Version to 4.3.0

 -- Valentin Vidic <vvidic@debian.org>  Thu, 27 Dec 2018 23:15:47 +0100

pcs (0.9.166-3) unstable; urgency=medium

  * d/patches: fix encoding test for python 3.6

 -- Valentin Vidic <vvidic@debian.org>  Sun, 09 Dec 2018 13:17:19 +0100

pcs (0.9.166-2) unstable; urgency=medium

  * d/patches: fix encode fail in testsuite (Closes: #915223)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 01 Dec 2018 22:34:03 +0100

pcs (0.9.166-1) unstable; urgency=medium

  * New upstream version 0.9.166
  * d/patches: update for new version

 -- Valentin Vidic <vvidic@debian.org>  Sat, 06 Oct 2018 22:41:04 +0200

pcs (0.9.165-3) unstable; urgency=medium

  * d/control: update email in Uploaders
  * d/rules: move snmp python modules to pcs-snmp

 -- Valentin Vidic <vvidic@debian.org>  Mon, 10 Sep 2018 11:20:03 +0200

pcs (0.9.165-2) unstable; urgency=medium

  * Release pcs-snmp package
  * d/control: update Standards-Version to 4.2.1

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sun, 09 Sep 2018 21:51:01 +0200

=== debian/control ===
Source: pcs
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders:
 Valentin Vidic <vvidic@debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 fontconfig,
 libpam0g-dev,
 python3-all,
 python3-setuptools
Standards-Version: 4.3.0
Homepage: https://github.com/ClusterLabs/pcs
Vcs-Browser: https://salsa.debian.org/ha-team/pcs
Vcs-Git: https://salsa.debian.org/ha-team/pcs.git

Package: pcs
Architecture: all
Depends:
 ${misc:Depends},
 lsb-base (>= 3.0-6),
 psmisc,
 fonts-dejavu-core,
 fonts-liberation,
 ${python3:Depends},
 python3-lxml,
 python3-openssl,
 python3-pkg-resources,
 python3-pycurl,
 python3-tornado,
 ruby,
 ruby-backports,
 ruby-ethon,
 ruby-json,
 ruby-open4,
 ruby-sinatra,
 rubygems-integration
Recommends: pacemaker (>= 2.0)
Breaks: pacemaker (<< 2.0)
# unrelated python module that installs files in the same location;
# conflict with it so it isn't loaded accidentally
Conflicts: python3-pcs
Description: Pacemaker Configuration System
 pcs is a corosync and pacemaker configuration tool. It permits
 users to easily view, modify and create pacemaker based clusters.
 .
 pcs also provides pcsd, which operates as a GUI and remote server
 for pcs. Together pcs and pcsd form the recommended configuration
 tool for use with pacemaker.

Package: pcs-snmp
Architecture: all
Depends:
 ${misc:Depends},
 pcs,
 ${python3:Depends},
 python3-pyagentx,
 snmpd
Breaks: pcs (<< 0.9.165-3)
Replaces: pcs (<< 0.9.165-3)
Description: Pacemaker Configuration System SNMP agent
 SNMP agent which connects to the master agent (snmpd)
 via AgentX protocol and provides information about
 the status of a corosync/pacemaker cluster.

=== debian/tests/control ===
Depends: pcs, pacemaker (>= 2.0), pacemaker-cli-utils (>= 2.0)
Restrictions: needs-root
Tests: status, setup

Depends: pcs, make, ruby-rack-test
Restrictions: rw-build-tree
Tests: testsuite-ruby

Depends: pcs, pacemaker (>= 2.0), pacemaker-cli-utils (>= 2.0), fence-agents, booth-pacemaker
Restrictions: needs-root, rw-build-tree
Tests: testsuite-python

Depends: pcs-snmp, pacemaker (>= 2.0), pacemaker-cli-utils (>= 2.0), snmp, snmp-mibs-downloader
Restrictions: needs-root
Tests: snmp

## pcs 0.10.2

=== debian/changelog ===
pcs (0.10.2-1) unstable; urgency=medium

  * New upstream version 0.10.2
  * d/patches: update for new version
  * d/rules: update for new version
  * d/tests: update for new version
  * d/rules: add init script for pcs_snmp_agent
  * d/control: update Standards-Version to 4.3.0

 -- Valentin Vidic <vvidic@debian.org>  Sat, 20 Jul 2019 07:51:21 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libpam0g-dev,
  python3-all,
  python3-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/ClusterLabs/pcs
 Vcs-Browser: https://salsa.debian.org/ha-team/pcs
 Vcs-Git: https://salsa.debian.org/ha-team/pcs.git
